Volcanos({river: {
	profile: {name: "产品群", icon: "bi bi-window-desktop", storm: {
		portal: {index: ["portal"]},
		desktop: {index: ["desktop"]},
		dream: {index: ["dream"], nodetype: web.SERVER},
		store: {index: ["store"], nodetype: web.SERVER},
	}},
	product: {name: "办公群", icon: "bi bi-wechat", storm: {
		feel: {name: "相册 feel", icon: "bi bi-images", index: [
			"feel", "draw",
		]},
		message: {name: "聊天 message", icon: "bi bi-wechat", index: [
			"message",
		]},
		plan: {name: "计划 plan", icon: "bi bi-calendar4-week", index: [
			"plan", "flows",
		]},
		matrix: {name: "矩阵 matrix", icon: "bi bi-grid-3x3-gap", type: aaa.TECH, nodetype: web.SERVER, index: [
			"matrix",
		]},
	}},
	project: {name: "研发群", icon: "bi bi-git", type: aaa.TECH, debug: true, storm: {
		studio: {name: "研发 studio", icon: "bi bi-code-slash", index: [
			"vimer", "status", "dream", "web.chat.script", "favor", "word",
		]},
		repos: {name: "源码 repos", icon: "bi bi-git", index: [
			"compile", "publish", "matrix", "store", "web.code.git.repos", "web.code.git.service",
		]},
		stats: {name: "流量 stats", icon: "bi bi-bar-chart-line", index: [
			"stats", "count", "toast", "stream", "broad", "spide", "cache", "space", "route",
		]},
		cloud: {name: "部署 cloud", icon: "bi bi-clouds", nodetype: web.SERVER, list: [
			{space: "20210308-sshd", index: "ssh.relay"},
			{space: "20210308-sshd", index: "ssh.cloud.tencent.cvm.instance"},
			{space: "20210308-sshd", index: "ssh.cloud.tencent.lighthouse.instance"},
			"bench",
			{space: "20230913-matrix-story", index: "web.chat.island.group"},
			{space: "20230913-matrix-story", index: "web.chat.island.portal"},
			{space: "20230511-docker-story", index: "web.code.docker.container"},
			{space: "20230511-golang-story", index: "web.chat.mail.client"},
		]},
	}},
	operate: {name: "运维群", icon: "bi bi-shield-lock", type: aaa.TECH, nodetype: web.SERVER, storm: {
		share: {name: "共享 share", icon: "bi bi-share", index: ["share", "token", "qrcode"]},
		oauth: {name: "登录 oauth", icon: "bi bi-shield-lock", index: ["header", "web.chat.oauth.client", "web.chat.wx.access"]},
		email: {name: "邮箱 email", icon: "bi bi-envelope", index: ["email", "offer", "apply", "message"]},
		user: {name: "用户 user", icon: "bi bi-people-fill", index: ["user", "totp", "sess", "role"]},
		system: {name: "系统 system", icon: "bi bi-ubuntu", index: ["dir", "trash", "host", "port", "xterm", "mirrors", "runtime", "log.debug"]},
	}},
}})

var icon = {
	CHEVRON_DOWN: "bi bi-chevron-down", SEARCH: "bi bi-search", TERMINAL: "bi bi-terminal",
	SUN: "bi bi-sun", MOON: "bi bi-moon-stars",

	search: "bi bi-search", favor: "bi bi-star",
	more: "bi bi-three-dots-vertical", actions: "bi bi-three-dots",
	preview: "bi bi-window-stack", show: "bi bi-window-stack",
	display: "bi bi-window-desktop", exec: "bi bi-window-desktop",
	full: "bi bi-arrows-fullscreen",
	open: "bi bi-box-arrow-up-right",
	qrcode: "bi bi-qr-code",
	chat: "bi bi-chat-dots", help: "bi bi-question-square", doc: "bi bi-question-square",
	modify: "bi bi-pencil-square", remove: "bi bi-trash",
	enable: "bi bi-toggle-off", disable: "bi bi-toggle-on",
	start: "bi bi-play-circle", stop: "bi bi-stop-circle",

	sso: "bi bi-shield-check", login: "bi bi-person-check",
	pull: "bi bi-cloud-download", push: "bi bi-cloud-upload",
	upload: "bi bi-box-arrow-in-up", download: "bi bi-box-arrow-down",
	record1: "bi bi-images", record2: "bi bi-record-circle", record: "bi bi-record-circle",
	"export": "bi bi-box-arrow-up", "import": "bi bi-box-arrow-in-down",
	"begin_time": "bi bi-clock-history",
	"end_time": "bi bi-clock-history",

	path: "bi bi-folder2", file: "bi bi-file-earmark-text", line: "bi bi-sort-numeric-down",
	key: "bi bi-hash", hash: "bi bi-hash", zone: "bi bi-diagram-3", id: "bi bi-sort-numeric-down",
	branch: "bi bi-diagram-3", commit: "bi bi-hash",
	// message: "bi bi-info-square",
	message: "bi bi-wechat",
	domain: "bi bi-globe", "client.name": "bi bi-globe",
	machine: "bi bi-pc-display", port: "bi bi-hash",
	arch: "bi bi-cpu", os: "bi bi-ubuntu",
	role: "bi bi-person-square",
	username: "bi bi-person-gear",

	version: "bi bi-tags",
	compile: "bi bi-tools",
	publish: "bi bi-send-check",
	upgrade: "bi bi-rocket-takeoff",
	install: "bi bi-box-arrow-in-down",
	runtime: "bi bi-info-square",
	template: "bi bi-file-earmark-medical",
	binary: "bi bi-disc",
	title: "bi bi-textarea-t",
	// name: "bi bi-textarea-t",
	// name: "bi bi-globe",
	name: "bi bi-sort-alpha-down",
	type: "bi bi-card-list",
	send: "bi bi-send-check",
	nodename: "bi bi-globe",

	portal: "bi bi-globe",
	desktop: "bi bi-window-desktop",
	admin: "bi bi-window-sidebar",
	dream: "bi bi-box",
	space: "bi bi-box",
	store: "bi bi-shop",

	word: "bi bi-book",
	repos: "bi bi-git",
	vimer: "bi bi-bug",
	build: "bi bi-tools",
	xterm: "bi bi-terminal",
	cmds: "bi bi-terminal",
	reboot: "bi bi-bootstrap-reboot",

	vendor: "bi bi-box-arrow-up-right",
	configs: "bi bi-gear", config: "bi bi-gear", conf: "bi bi-gear", logs: "bi bi-calendar4-week",
	tag: "bi bi-tags", save: "bi bi-floppy", trash: "bi bi-trash",
	top: "bi bi-globe", main: "bi bi-house-door",

	localCreate: "bi bi-cloud-download",

	notifications: "bi bi-chat-right-text",
	play: "bi bi-play-circle", app: "bi bi-box-arrow-down-left",
}
